ge-yast - action #49310

coordination # 49244 (New): YaST Command Line Options TRACKER
Regression test yast proxy

2019-03-14 15:27 - pcervinka

Status: New Start date: 2019-07-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: future

Description

Create regression test for yast proxy and verify:

e Specify the authentication options for proxy
Enable/disable proxy settings

Change the current proxy settings

e Display proxy settings

Reference:
https://www.suse.com/documentation/sles-15/singlehtml/book_sle_admin/book_sle_admin.html#id-1.3.3.6.13.6.25

History

#1 - 2019-07-02 04:45 - simonim
- Status changed from New to In Progress

- Start date changed from 2019-03-14 to 2019-07-02

#2 - 2019-07-02 04:46 - simonim

- Assignee set to simonim

#3 - 2019-07-03 03:50 - simonim

- Status changed from In Progress to Feedback

A bug was found while running the yast proxy authentication command, and the test cannot proceed. | am waiting for feedback from bugzilla:
https://bugzilla.suse.com/show_bug.cgi?id=1140156

#4 - 2019-08-02 03:38 - simonim

- Status changed from Feedback to In Progress

#5 - 2019-09-11 02:44 - simonim

- Status changed from In Progress to Blocked

yast proxy module and its subcommands always popped up an ncurse
confirmation window, which needed to get some key message to continue. Resulting in no suitable API to verify my running commands. For details,
please see the link: https:/bugzilla.suse.com/show_bug.cgi?id=1140156#c3

#6 - 2019-12-05 08:34 - brhavel

- Subject changed from [qam] Regression test yast proxy to [qam][maint][yast2-proxy] Regression test yast proxy

#7 - 2020-05-19 08:26 - simonim

- Assignee deleted (simonlm)

#8 - 2020-11-12 08:41 - tjyrinki_suse
- Project changed from QAM to qe-yast
- Target version deleted (QAM tests - future)
#9 - 2020-11-12 08:52 - tjyrinki_suse

- Status changed from Blocked to New

#10 - 2020-11-17 10:17 - riafarov
- Subject changed from [qam][maint][yast2-proxy] Regression test yast proxy to Regression test yast proxy

- Target version set to future
